package oqbe.actions;

import oqbe.wizards.GenerateOclWizard;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IEditorActionDelegate;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.PlatformUI;

public class GenerateOclAction implements IEditorActionDelegate {
	private ISelection selection;
	//private IEditorPart editor;
	
	@Override
	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		//this.editor = targetEditor;

	}

	@Override
	public void run(IAction action) {
		GenerateOclWizard wizard = new GenerateOclWizard();
		wizard.init(PlatformUI.getWorkbench(), (IStructuredSelection) this.selection);
		WizardDialog dialog = new WizardDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), wizard);
		dialog.open();
	}

	@Override
	public void selectionChanged(IAction action, ISelection selection) {
		this.selection = selection;
	}
}