package oqbe.exporters;

import org.eclipse.emf.common.util.BasicEList;

import vide.ast.abstracts.AbstractNode;


public class OQBEItems <T extends OQBEItem> extends BasicEList<T>{
	
	private static final long serialVersionUID = 750868819564710488L;
	
	/*
	private String name;
	*/
	
	public OQBEItems() {
	}

	/*
	public OQBEItems(String name) {
		this.name = name;
	}
	*/
	
	public void replaceASTNode(AbstractNode oldValue, AbstractNode newValue) {
		for (OQBEItem item : this) {
			if (item.astNode == oldValue)
				item.astNode = newValue;
		}
	}

	/*
	public void replaceASTNode(AbstractNode oldValue, AbstractNode newValue) {
		boolean replaced = false;
		for (OQBEItem item : this) {
			if (item.astNode == oldValue) {
				item.astNode = newValue;
				replaced = true;
			}
		}
		if (name.equals("outputs")) {
		Level currLogLevel = LogWriter.getLogger().getLevel();
			LogWriter.getLogger().setLevel(Level.OFF);
			try {
				//System.out.println(name + ": " + oldValue.toString() + " -> "
				//        + newValue.toString() + " " + replaced);
				System.out.println(name + ": "
						+ ASTToVideCode.convert(oldValue) + " -> "
						+ ASTToVideCode.convert(newValue) + " " + replaced);
			} finally {
				LogWriter.getLogger().setLevel(currLogLevel);
			}			
		}
	}
	*/
	
	public void sort() {
		boolean sortAgain = false;
		for (int idx = 0; idx < size() - 1; idx ++) {
			if (get(idx).compareTo(get(idx + 1)) > 0) {
				T item = get(idx);
				set(idx, get(idx + 1));
				set(idx + 1, item);
				sortAgain = true;
			}
		}
		if (sortAgain)
			sort();
	}

	public String asString() {
		String result = "";
		for (OQBEItem item : this) {
			if (result != "")
				result += "\n";
			result += item.asString();
		}			
		return result;
	}
	
}
