package oqbe.exporters;

import org.eclipse.emf.ecore.EObject;

import vide.ast.abstracts.AbstractNode;
import OQBE.LinkExample;

public class OQBEOutput extends OQBEItem {

	public String outName;
	public Boolean nestedOutput = false;
	public LinkExample nestedLink;

	public OQBEOutput(EObject diagramItem, AbstractNode astNode, String fieldName, String outName, boolean nestedOutput, LinkExample nestedLink) {
		super(diagramItem, astNode, fieldName);
		this.outName = outName;
		this.nestedOutput = nestedOutput;
		this.nestedLink = nestedLink;
	}

	public String asString() {
		String result = super.asString();
				
		result += ", outName: ";
		result += outName;
				
		result += ", nestedOutput: ";
		if (nestedOutput != null)
			result += nestedOutput.toString();
		else
			result += "null";
		
		result += ", nestedLink: ";
		if (nestedLink != null)
			result += nestedLink.toString();
		else
			result += "null";
		result = result.replace("OQBE.impl.", "");
		
		return result;
	}

	public int compareTo(OQBEItem arg0) {
		return 0;
	}	
}
