package oqbe.exporters;

import org.eclipse.emf.ecore.EObject;

import vide.ast.abstracts.AbstractNode;
import OQBE.SortFlag;

public class OQBESort extends OQBEItem {
	
	public SortFlag sortFlag;
	
	public OQBESort(EObject diagramItem, AbstractNode astNode, String fieldName, SortFlag sortFlag) {
		super(diagramItem, astNode, fieldName);
		this.sortFlag = sortFlag;
	}

	public String asString() {
		String result = super.asString();
		
		result += ", sortFlag: ";
		if (sortFlag != null)
			result += sortFlag.toString();
		else
			result += "null";
						
		return result;
	}

	public int compareTo(OQBEItem arg0) {
		OQBESort arg0AsSort = (OQBESort) arg0;		
		return sortFlag.getPriority() - arg0AsSort.sortFlag.getPriority();
	}

}
