package OQBE.diagram.providers;

import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider;
import org.eclipse.gmf.runtime.emf.type.core.IElementType;
import org.eclipse.gmf.runtime.emf.type.core.IHintedType;
import org.eclipse.gmf.runtime.notation.View;

import OQBE.diagram.edit.parts.ComparatorEditPart;
import OQBE.diagram.edit.parts.ComparatorOperatorEditPart;
import OQBE.diagram.edit.parts.DiagramPackageEditPart;
import OQBE.diagram.edit.parts.Example2EditPart;
import OQBE.diagram.edit.parts.Example3EditPart;
import OQBE.diagram.edit.parts.ExampleEditPart;
import OQBE.diagram.edit.parts.ExampleExampleNameClassName2EditPart;
import OQBE.diagram.edit.parts.ExampleExampleNameClassName3EditPart;
import OQBE.diagram.edit.parts.ExampleExampleNameClassNameEditPart;
import OQBE.diagram.edit.parts.ExamplePredicateCompartment2EditPart;
import OQBE.diagram.edit.parts.ExamplePredicateCompartment3EditPart;
import OQBE.diagram.edit.parts.ExamplePredicateCompartmentEditPart;
import OQBE.diagram.edit.parts.ForAll2EditPart;
import OQBE.diagram.edit.parts.ForAllEditPart;
import OQBE.diagram.edit.parts.LinkExampleEditPart;
import OQBE.diagram.edit.parts.LinkExampleLinkNameEditPart;
import OQBE.diagram.edit.parts.NestedOutput2EditPart;
import OQBE.diagram.edit.parts.NestedOutputEditPart;
import OQBE.diagram.edit.parts.NestedOutputTupleFieldName2EditPart;
import OQBE.diagram.edit.parts.NestedOutputTupleFieldNameEditPart;
import OQBE.diagram.edit.parts.OclExpressionEditPart;
import OQBE.diagram.edit.parts.OclExpressionExpressionEditPart;
import OQBE.diagram.edit.parts.OutputFlag2EditPart;
import OQBE.diagram.edit.parts.OutputFlag3EditPart;
import OQBE.diagram.edit.parts.OutputFlagEditPart;
import OQBE.diagram.edit.parts.OutputFlagTupleFieldName2EditPart;
import OQBE.diagram.edit.parts.OutputFlagTupleFieldName3EditPart;
import OQBE.diagram.edit.parts.OutputFlagTupleFieldNameEditPart;
import OQBE.diagram.edit.parts.PredicateEditPart;
import OQBE.diagram.edit.parts.PredicatePredicateNameOperatorArEditPart;
import OQBE.diagram.edit.parts.SortFlag2EditPart;
import OQBE.diagram.edit.parts.SortFlagEditPart;
import OQBE.diagram.edit.parts.SortFlagOrderPriority2EditPart;
import OQBE.diagram.edit.parts.SortFlagOrderPriorityEditPart;
import OQBE.diagram.edit.parts.WrappingLabel2EditPart;
import OQBE.diagram.edit.parts.WrappingLabelEditPart;
import OQBE.diagram.part.OQBEmodelVisualIDRegistry;
import OQBE.diagram.view.factories.ComparatorOperatorViewFactory;
import OQBE.diagram.view.factories.ComparatorViewFactory;
import OQBE.diagram.view.factories.DiagramPackageViewFactory;
import OQBE.diagram.view.factories.Example2ViewFactory;
import OQBE.diagram.view.factories.Example3ViewFactory;
import OQBE.diagram.view.factories.ExampleExampleNameClassName2ViewFactory;
import OQBE.diagram.view.factories.ExampleExampleNameClassName3ViewFactory;
import OQBE.diagram.view.factories.ExampleExampleNameClassNameViewFactory;
import OQBE.diagram.view.factories.ExamplePredicateCompartment2ViewFactory;
import OQBE.diagram.view.factories.ExamplePredicateCompartment3ViewFactory;
import OQBE.diagram.view.factories.ExamplePredicateCompartmentViewFactory;
import OQBE.diagram.view.factories.ExampleViewFactory;
import OQBE.diagram.view.factories.ForAll2ViewFactory;
import OQBE.diagram.view.factories.ForAllViewFactory;
import OQBE.diagram.view.factories.LinkExampleLinkNameViewFactory;
import OQBE.diagram.view.factories.LinkExampleViewFactory;
import OQBE.diagram.view.factories.NestedOutput2ViewFactory;
import OQBE.diagram.view.factories.NestedOutputTupleFieldName2ViewFactory;
import OQBE.diagram.view.factories.NestedOutputTupleFieldNameViewFactory;
import OQBE.diagram.view.factories.NestedOutputViewFactory;
import OQBE.diagram.view.factories.OclExpressionExpressionViewFactory;
import OQBE.diagram.view.factories.OclExpressionViewFactory;
import OQBE.diagram.view.factories.OutputFlag2ViewFactory;
import OQBE.diagram.view.factories.OutputFlag3ViewFactory;
import OQBE.diagram.view.factories.OutputFlagTupleFieldName2ViewFactory;
import OQBE.diagram.view.factories.OutputFlagTupleFieldName3ViewFactory;
import OQBE.diagram.view.factories.OutputFlagTupleFieldNameViewFactory;
import OQBE.diagram.view.factories.OutputFlagViewFactory;
import OQBE.diagram.view.factories.PredicatePredicateNameOperatorArViewFactory;
import OQBE.diagram.view.factories.PredicateViewFactory;
import OQBE.diagram.view.factories.SortFlag2ViewFactory;
import OQBE.diagram.view.factories.SortFlagOrderPriority2ViewFactory;
import OQBE.diagram.view.factories.SortFlagOrderPriorityViewFactory;
import OQBE.diagram.view.factories.SortFlagViewFactory;
import OQBE.diagram.view.factories.WrappingLabel2ViewFactory;
import OQBE.diagram.view.factories.WrappingLabelViewFactory;

/**
 * @generated
 */
public class OQBEmodelViewProvider extends AbstractViewProvider {

	/**
	 * @generated
	 */
	protected Class getDiagramViewClass(IAdaptable semanticAdapter,
			String diagramKind) {
		EObject semanticElement = getSemanticElement(semanticAdapter);
		if (DiagramPackageEditPart.MODEL_ID.equals(diagramKind)
				&& OQBEmodelVisualIDRegistry
						.getDiagramVisualID(semanticElement) != -1) {
			return DiagramPackageViewFactory.class;
		}
		return null;
	}

	/**
	 * @generated
	 */
	protected Class getNodeViewClass(IAdaptable semanticAdapter,
			View containerView, String semanticHint) {
		if (containerView == null) {
			return null;
		}
		IElementType elementType = getSemanticElementType(semanticAdapter);
		EObject domainElement = getSemanticElement(semanticAdapter);
		int visualID;
		if (semanticHint == null) {
			// Semantic hint is not specified. Can be a result of call from CanonicalEditPolicy.
			// In this situation there should be NO elementType, visualID will be determined
			// by VisualIDRegistry.getNodeVisualID() for domainElement.
			if (elementType != null || domainElement == null) {
				return null;
			}
			visualID = OQBEmodelVisualIDRegistry.getNodeVisualID(containerView,
					domainElement);
		} else {
			visualID = OQBEmodelVisualIDRegistry.getVisualID(semanticHint);
			if (elementType != null) {
				// Semantic hint is specified together with element type.
				// Both parameters should describe exactly the same diagram element.
				// In addition we check that visualID returned by VisualIDRegistry.getNodeVisualID() for
				// domainElement (if specified) is the same as in element type.
				if (!OQBEmodelElementTypes.isKnownElementType(elementType)
						|| (!(elementType instanceof IHintedType))) {
					return null; // foreign element type
				}
				String elementTypeHint = ((IHintedType) elementType)
						.getSemanticHint();
				if (!semanticHint.equals(elementTypeHint)) {
					return null; // if semantic hint is specified it should be the same as in element type
				}
				if (domainElement != null
						&& visualID != OQBEmodelVisualIDRegistry
								.getNodeVisualID(containerView, domainElement)) {
					return null; // visual id for node EClass should match visual id from element type
				}
			} else {
				// Element type is not specified. Domain element should be present (except pure design elements).
				// This method is called with EObjectAdapter as parameter from:
				//   - ViewService.createNode(View container, EObject eObject, String type, PreferencesHint preferencesHint) 
				//   - generated ViewFactory.decorateView() for parent element
				if (!DiagramPackageEditPart.MODEL_ID
						.equals(OQBEmodelVisualIDRegistry
								.getModelID(containerView))) {
					return null; // foreign diagram
				}
				switch (visualID) {
				case ExampleEditPart.VISUAL_ID:
				case NestedOutputEditPart.VISUAL_ID:
				case PredicateEditPart.VISUAL_ID:
				case OutputFlagEditPart.VISUAL_ID:
				case SortFlagEditPart.VISUAL_ID:
				case OclExpressionEditPart.VISUAL_ID:
				case ForAll2EditPart.VISUAL_ID:
				case ForAllEditPart.VISUAL_ID:
				case OutputFlag2EditPart.VISUAL_ID:
				case OutputFlag3EditPart.VISUAL_ID:
				case SortFlag2EditPart.VISUAL_ID:
				case NestedOutput2EditPart.VISUAL_ID:
				case Example2EditPart.VISUAL_ID:
				case Example3EditPart.VISUAL_ID:
					if (domainElement == null
							|| visualID != OQBEmodelVisualIDRegistry
									.getNodeVisualID(containerView,
											domainElement)) {
						return null; // visual id in semantic hint should match visual id for domain element
					}
					break;
				case ExampleExampleNameClassNameEditPart.VISUAL_ID:
				case ExamplePredicateCompartmentEditPart.VISUAL_ID:
					if (ExampleEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case NestedOutputTupleFieldNameEditPart.VISUAL_ID:
					if (NestedOutputEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case WrappingLabelEditPart.VISUAL_ID:
					if (ForAllEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case PredicatePredicateNameOperatorArEditPart.VISUAL_ID:
					if (PredicateEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case OutputFlagTupleFieldNameEditPart.VISUAL_ID:
					if (OutputFlagEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case SortFlagOrderPriorityEditPart.VISUAL_ID:
					if (SortFlagEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case OutputFlagTupleFieldName2EditPart.VISUAL_ID:
					if (OutputFlag2EditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case OclExpressionExpressionEditPart.VISUAL_ID:
					if (OclExpressionEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case OutputFlagTupleFieldName3EditPart.VISUAL_ID:
					if (OutputFlag3EditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case SortFlagOrderPriority2EditPart.VISUAL_ID:
					if (SortFlag2EditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case NestedOutputTupleFieldName2EditPart.VISUAL_ID:
					if (NestedOutput2EditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case ExampleExampleNameClassName2EditPart.VISUAL_ID:
				case ExamplePredicateCompartment2EditPart.VISUAL_ID:
					if (Example2EditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case WrappingLabel2EditPart.VISUAL_ID:
					if (ForAll2EditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case ExampleExampleNameClassName3EditPart.VISUAL_ID:
				case ExamplePredicateCompartment3EditPart.VISUAL_ID:
					if (Example3EditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case LinkExampleLinkNameEditPart.VISUAL_ID:
					if (LinkExampleEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				case ComparatorOperatorEditPart.VISUAL_ID:
					if (ComparatorEditPart.VISUAL_ID != OQBEmodelVisualIDRegistry
							.getVisualID(containerView)
							|| containerView.getElement() != domainElement) {
						return null; // wrong container
					}
					break;
				default:
					return null;
				}
			}
		}
		return getNodeViewClass(containerView, visualID);
	}

	/**
	 * @generated
	 */
	protected Class getNodeViewClass(View containerView, int visualID) {
		if (containerView == null
				|| !OQBEmodelVisualIDRegistry.canCreateNode(containerView,
						visualID)) {
			return null;
		}
		switch (visualID) {
		case ExampleEditPart.VISUAL_ID:
			return ExampleViewFactory.class;
		case ExampleExampleNameClassNameEditPart.VISUAL_ID:
			return ExampleExampleNameClassNameViewFactory.class;
		case NestedOutputEditPart.VISUAL_ID:
			return NestedOutputViewFactory.class;
		case NestedOutputTupleFieldNameEditPart.VISUAL_ID:
			return NestedOutputTupleFieldNameViewFactory.class;
		case ForAllEditPart.VISUAL_ID:
			return ForAllViewFactory.class;
		case WrappingLabelEditPart.VISUAL_ID:
			return WrappingLabelViewFactory.class;
		case PredicateEditPart.VISUAL_ID:
			return PredicateViewFactory.class;
		case PredicatePredicateNameOperatorArEditPart.VISUAL_ID:
			return PredicatePredicateNameOperatorArViewFactory.class;
		case OutputFlagEditPart.VISUAL_ID:
			return OutputFlagViewFactory.class;
		case OutputFlagTupleFieldNameEditPart.VISUAL_ID:
			return OutputFlagTupleFieldNameViewFactory.class;
		case SortFlagEditPart.VISUAL_ID:
			return SortFlagViewFactory.class;
		case SortFlagOrderPriorityEditPart.VISUAL_ID:
			return SortFlagOrderPriorityViewFactory.class;
		case OutputFlag2EditPart.VISUAL_ID:
			return OutputFlag2ViewFactory.class;
		case OutputFlagTupleFieldName2EditPart.VISUAL_ID:
			return OutputFlagTupleFieldName2ViewFactory.class;
		case OclExpressionEditPart.VISUAL_ID:
			return OclExpressionViewFactory.class;
		case OclExpressionExpressionEditPart.VISUAL_ID:
			return OclExpressionExpressionViewFactory.class;
		case OutputFlag3EditPart.VISUAL_ID:
			return OutputFlag3ViewFactory.class;
		case OutputFlagTupleFieldName3EditPart.VISUAL_ID:
			return OutputFlagTupleFieldName3ViewFactory.class;
		case SortFlag2EditPart.VISUAL_ID:
			return SortFlag2ViewFactory.class;
		case SortFlagOrderPriority2EditPart.VISUAL_ID:
			return SortFlagOrderPriority2ViewFactory.class;
		case NestedOutput2EditPart.VISUAL_ID:
			return NestedOutput2ViewFactory.class;
		case NestedOutputTupleFieldName2EditPart.VISUAL_ID:
			return NestedOutputTupleFieldName2ViewFactory.class;
		case Example2EditPart.VISUAL_ID:
			return Example2ViewFactory.class;
		case ExampleExampleNameClassName2EditPart.VISUAL_ID:
			return ExampleExampleNameClassName2ViewFactory.class;
		case ForAll2EditPart.VISUAL_ID:
			return ForAll2ViewFactory.class;
		case WrappingLabel2EditPart.VISUAL_ID:
			return WrappingLabel2ViewFactory.class;
		case Example3EditPart.VISUAL_ID:
			return Example3ViewFactory.class;
		case ExampleExampleNameClassName3EditPart.VISUAL_ID:
			return ExampleExampleNameClassName3ViewFactory.class;
		case ExamplePredicateCompartmentEditPart.VISUAL_ID:
			return ExamplePredicateCompartmentViewFactory.class;
		case ExamplePredicateCompartment2EditPart.VISUAL_ID:
			return ExamplePredicateCompartment2ViewFactory.class;
		case ExamplePredicateCompartment3EditPart.VISUAL_ID:
			return ExamplePredicateCompartment3ViewFactory.class;
		case LinkExampleLinkNameEditPart.VISUAL_ID:
			return LinkExampleLinkNameViewFactory.class;
		case ComparatorOperatorEditPart.VISUAL_ID:
			return ComparatorOperatorViewFactory.class;
		}
		return null;
	}

	/**
	 * @generated
	 */
	protected Class getEdgeViewClass(IAdaptable semanticAdapter,
			View containerView, String semanticHint) {
		IElementType elementType = getSemanticElementType(semanticAdapter);
		if (!OQBEmodelElementTypes.isKnownElementType(elementType)
				|| (!(elementType instanceof IHintedType))) {
			return null; // foreign element type
		}
		String elementTypeHint = ((IHintedType) elementType).getSemanticHint();
		if (elementTypeHint == null) {
			return null; // our hint is visual id and must be specified
		}
		if (semanticHint != null && !semanticHint.equals(elementTypeHint)) {
			return null; // if semantic hint is specified it should be the same as in element type
		}
		int visualID = OQBEmodelVisualIDRegistry.getVisualID(elementTypeHint);
		EObject domainElement = getSemanticElement(semanticAdapter);
		if (domainElement != null
				&& visualID != OQBEmodelVisualIDRegistry
						.getLinkWithClassVisualID(domainElement)) {
			return null; // visual id for link EClass should match visual id from element type
		}
		return getEdgeViewClass(visualID);
	}

	/**
	 * @generated
	 */
	protected Class getEdgeViewClass(int visualID) {
		switch (visualID) {
		case LinkExampleEditPart.VISUAL_ID:
			return LinkExampleViewFactory.class;
		case ComparatorEditPart.VISUAL_ID:
			return ComparatorViewFactory.class;
		}
		return null;
	}

	/**
	 * @generated
	 */
	private IElementType getSemanticElementType(IAdaptable semanticAdapter) {
		if (semanticAdapter == null) {
			return null;
		}
		return (IElementType) semanticAdapter.getAdapter(IElementType.class);
	}
}
